Appearance
sites-store
4 endpoints.
POST /api/v1/public/sites/store/list
Store List
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
x-website-secret | header | no |
Request body
json
{
"properties": {
"email": {
"type": "string",
"title": "Email"
},
"domain": {
"type": "string",
"title": "Domain"
}
},
"type": "object",
"required": [
"email",
"domain"
],
"title": "StoreAsk"
}200 — Successful Response
json
{}422 — Validation Error
json
{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"type": "array",
"title": "Location"
},
"msg": {
"type": "string",
"title": "Message"
},
"type": {
"type": "string",
"title": "Error Type"
}
},
"type": "object",
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}POST /api/v1/public/sites/store/add
Store Add
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
x-website-secret | header | no |
Request body
json
{
"properties": {
"email": {
"type": "string",
"title": "Email"
},
"domain": {
"type": "string",
"title": "Domain"
},
"code": {
"type": "string",
"title": "Code"
}
},
"type": "object",
"required": [
"email",
"domain",
"code"
],
"title": "StoreAdd"
}200 — Successful Response
json
{}422 — Validation Error
json
{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"type": "array",
"title": "Location"
},
"msg": {
"type": "string",
"title": "Message"
},
"type": {
"type": "string",
"title": "Error Type"
}
},
"type": "object",
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}POST /api/v1/public/sites/store/cancel
Store Cancel
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
x-website-secret | header | no |
Request body
json
{
"properties": {
"email": {
"type": "string",
"title": "Email"
},
"domain": {
"type": "string",
"title": "Domain"
},
"subscription_id": {
"type": "integer",
"title": "Subscription Id"
}
},
"type": "object",
"required": [
"email",
"domain",
"subscription_id"
],
"title": "StoreCancel"
}200 — Successful Response
json
{}422 — Validation Error
json
{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"type": "array",
"title": "Location"
},
"msg": {
"type": "string",
"title": "Message"
},
"type": {
"type": "string",
"title": "Error Type"
}
},
"type": "object",
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}POST /api/v1/public/sites/store/quote
Store Quote
A quote request for Lubb Labs Custom Web & Mobile Development: one internal notice.
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
x-website-secret | header | no |
Request body
json
{
"properties": {
"email": {
"type": "string",
"title": "Email"
},
"domain": {
"type": "string",
"title": "Domain"
},
"kind": {
"type": "string",
"title": "Kind"
},
"message": {
"type": "string",
"title": "Message"
},
"phone": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Phone"
}
},
"type": "object",
"required": [
"email",
"domain",
"kind",
"message"
],
"title": "StoreQuote"
}200 — Successful Response
json
{}422 — Validation Error
json
{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"type": "array",
"title": "Location"
},
"msg": {
"type": "string",
"title": "Message"
},
"type": {
"type": "string",
"title": "Error Type"
}
},
"type": "object",
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}